/******************************************************************************/
/* Protected lists header file.                                               */
/******************************************************************************/
/* This is part of the APlayer Programming Package (APPP).                    */
/* Copyright (C) 1998-2000 by The APlayer-Team.                               */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may only be used in APlayer related         */
/* software. If you want to use it elsewhere, please contact the author for a */
/* permission.                                                                */
/******************************************************************************/


#ifndef __APList_h
#define __APList_h

// PolyKit headers
#include "POS.h"
#include "PSynchronize.h"
#include "PList.h"
#include "PPriorityList.h"


/******************************************************************************/
/* APList class                                                               */
/******************************************************************************/
template<class TYPE>
class APList : public PList<TYPE>
{
public:
	inline PSyncError LockList(uint32 timeout = PSYNC_INFINITE) { return (lock.Lock(timeout)); };
	inline void UnlockList(void) { lock.Unlock(); };

protected:
	PMutex lock;
};



/******************************************************************************/
/* APPriList class                                                            */
/******************************************************************************/
template<class TYPE>
class APPriList : public PPriorityList<TYPE>
{
public:
	inline PSyncError LockList(uint32 timeout = PSYNC_INFINITE) { return (lock.Lock(timeout)); };
	inline void UnlockList(void) { lock.Unlock(); };

protected:
	PMutex lock;
};

#endif
